> ## Documentation Index
> Fetch the complete documentation index at: https://docs.charmos.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent

> Update an agent



## OpenAPI

````yaml /openapi.json patch /v1/agents/{agent_id}
openapi: 3.1.0
info:
  title: Charm Cloud Runner API
  description: AI Agent Execution Platform - DDD Architecture
  version: 2.0.0
servers: []
security: []
tags:
  - name: Execute
    description: Agent execution with SSE streaming
  - name: Agents
    description: Agent CRUD operations
  - name: Versions
    description: Version management
  - name: Runs
    description: Run lifecycle management
  - name: Threads
    description: Thread run history
  - name: Studio
    description: Studio dashboard analytics
  - name: Billing
    description: Payments and subscriptions
  - name: Daemons
    description: Long-running agent processes
  - name: Jobs
    description: Background jobs
  - name: Notifications
    description: User notifications
  - name: Users
    description: User management
  - name: Admin
    description: Admin dashboard
  - name: Internal
    description: Internal job triggers
paths:
  /v1/agents/{agent_id}:
    patch:
      tags:
        - Agents
      summary: Update Agent
      description: Update an agent
      operationId: update_agent_v1_agents__agent_id__patch
      parameters:
        - name: agent_id
          in: path
          required: true
          schema:
            type: string
            title: Agent Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AgentUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: Response Update Agent V1 Agents  Agent Id  Patch
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    AgentUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        version:
          anyOf:
            - type: string
            - type: 'null'
          title: Version
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
      type: object
      title: AgentUpdate
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````